Subject: [Sigtran] M3UA-v02 Last Call Comment: Section 4.7 NIF not Available.

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sat, 8 May 2004 04:35:31 -0600

The following text was added:

|4.7 NIF not Available
|
|   IMPLEMENTATION NOTE: Although the NIF is decided to be an
|   implementation dependent function, here there are some guidelines
|   that may be useful to follow:
|
|   - If the SG (all the SGPs) is isolated from the NIF, then all the
|     users are isolated from the SS7 network. A DUNA(*) message may be
|     sent from the SGPs to all the ASPs.
|
|   - If only one SGP in the SG is isolated entirely from the NIF, the
|     SGP may abort its associations. An alternative would be for the SGP
|     to send ASP Down Ack.
|
|   - If one or more SGP suffer a partial failure (where aborting the
|     association(s) would cause all active AS(es) to fail), then the SGP
|     may send DUNA messages for the affected SPC(es).  This is the case
|     where an SGP can continue to service one or more active AS(es), but
|     due to a partial failure it is unable to service other(s) active
|     AS(es).

I can't believe that this is still in error!

An SGP cannot send DUNA(anything) for local NIF unavailability because the
ASP is permitted to interpret SSNM message from one SGP as applying to the
entire SG.  Also, aborting an SCTP association is foolish: it will cause the
ASP to resestablish its SCTP association and initiate the ASP Up procedure.
ASP Down Ack accomplishes this with less network load and does not cause the
association to enter slow start.

Again: ASPTM/ASPSM messages are per-SGP.  SSNM messages are per SG.  You
cannot use SSNM messages to indicate a per-SGP event.

Reword as follows:

>4.7 NIF not Available
>
>   IMPLEMENTATION NOTE: Although the NIF is decided to be an
>   implementation dependent function, here there are some guidelines
>   that may be useful to follow:
>
>   - If an SGP is isolated entirely from the NIF, the SGP should send
>     ASP Down Ack to all its connected ASPs.  Upon receiving an ASP Up
>     message while isolated from the NIF, the SGP should respond with
>     Error("Refused - Management Blocking").
>
>   - If an SGP suffers a partial failure (where an SGP can continue to
>     service one or more active AS, but due to a partial failure it is
>     unable to service one or more other active AS), the SGP should
>     send ASP Inactive Ack to all its connected ASPs for the affected
>     AS.  Upon receiving an ASP Active message for an affected AS and
>     while still partially isolated from the NIF, the SGP should
>     respond with Error("Refused - Management Blocking").

If we need an implementation note on this, let it be good advice rather
than bad advice.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran